Katello - Bug #6434

Long lifecycle-environment names overlaps with content in the Content View promotion table
06/30/2014 04:40 AM - Stephen Benjamin

Status: Closed

Priority: Normal

Assignee: Stephen Benjamin

Category: Web Ul

Target version: Katello 2.0

Difficulty: Fixed in Releases:
Triaged: Yes Found in Releases:
Bugzilla link: 1090599 Red Hat JIRA:

Pull request:

Description

Cloned from https://bugzilla.redhat.com/show_bug.cqi?id=1090599
Description of problem:

The attached screenshot shows that if you have a lifecycle-environment with a really long name (128 characters) and try to promote
an existing content view to it, the table that displays the information for the promoted content view is overtaken by the
lifecycle-environment name (as in the values for other columns are covered by the name).

Version-Release number of selected component (if applicable):

apr-util-ldap-1.3.9-3.el6_0.1.x86_64
candlepin-0.9.7-1.el6_5.noarch
candlepin-scl-1-5.el6_4.noarch
candlepin-scl-quartz-2.1.5-5.el6_4.noarch
candlepin-scl-rhino-1.7R3-1.el6_4.noarch
candlepin-scl-runtime-1-5.el6_4.noarch
candlepin-selinux-0.9.7-1.el6_5.noarch
candlepin-tomcat6-0.9.7-1.el6_5.noarch
elasticsearch-0.90.10-4.el6sat.noarch
foreman-1.5.0.19-1.el6sat.noarch
foreman-compute-1.5.0.19-1.el6sat.noarch
foreman-libvirt-1.5.0.19-1.el6sat.noarch
foreman-postgresql-1.5.0.19-1.el6sat.noarch
foreman-proxy-1.5.6-1.el6sat.noarch
foreman-selinux-1.5.0-0.develop.el6sat.noarch
katello-1.5.0-19.el6sat.noarch
katello-apache-1.0-1.noarch
katello-ca-1.0-1.noarch
katello-certs-tools-1.5.5-1.el6sat.noarch
katello-installer-0.0.34-1.el6sat.noarch
openldap-2.4.23-32.el6_4.1.x86_64
pulp-katello-plugins-0.2-1.el6sat.noarch
pulp-nodes-common-2.3.1-0.4.beta.el6sat.noarch
pulp-nodes-parent-2.3.1-0.4.beta.el6sat.noarch
pulp-puppet-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-rpm-plugins-2.3.1-0.4.beta.el6sat.noarch
pulp-selinux-2.3.1-0.4.beta.el6sat.noarch
pulp-server-2.3.1-0.4.beta.el6sat.noarch
python-ldap-2.3.10-1.e16.x86_64
ruby193-rubygem-ldap_fluff-0.2.2-2.el6sat.noarch
ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
ruby193-rubygem-runcible-1.0.8-1.el6sat.noarch
rubygem-hammer_cli-0.1.0-7.el6sat.noarch
rubygem-hammer_cli_foreman-0.1.0-6.el6sat.noarch
rubygem-hammer_cli_foreman_tasks-0.0.2-2.el6sat.noarch
rubygem-hammer_cli_katello-0.0.3-16.el6sat.noarch
https://bugzilla.redhat.com/show_bug.cgi?id=1090599

How reproducible:

Steps to Reproduce:

1. Create a new lifecycle-environment with a name that has 128 characters

2. Promote a content view to this lifecycle-environment using the Ul

3.

Actual results:

The table that displays information about the content view is mostly covered with the name of the environment (see screenshot)

Expected results:

Additional info:

Associated revisions

Revision 83f38fe8 - 06/30/2014 08:45 AM - Stephen Benjamin

fixes #6434 - wrap long lifecycle environment names in CV promotion

Revision dbf30bf8 - 06/30/2014 08:45 AM - Stephen Benjamin

fixes #6434 - wrap long lifecycle environment names in CV promotion

Revision 510ddae7 - 07/01/2014 08:40 AM - Eric Helms
Merge pull request #4366 from stbenjam/6434-long-env-name
fixes #6434 - wrap long lifecycle environment names in the Ul
Revision 9fb882a6 - 07/01/2014 08:40 AM - Eric Helms
Merge pull request #4366 from stbenjam/6434-long-env-name

fixes #6434 - wrap long lifecycle environment names in the Ul

History

#1 - 06/30/2014 04:42 AM - Stephen Benjamin
- Assignee set to Stephen Benjamin

- Target version set to 48

| can reproduce this - with long lifecycle environment names without spaces. The solution is to add word-wrap: break-word to the td, but I'm not sure
where in the RCUE CSS to add this.

#2 - 06/30/2014 08:56 AM - Stephen Benjamin
- Status changed from New to Ready For Testing

- Triaged set to Yes

PR https://github.com/Katello/katello/pull/4366

#3 - 07/01/2014 09:03 AM - Anonymous
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset katello|83f38fe89badcc8ddc2698ba8al37acfc3f22a28¢.

#4 - 08/22/2014 08:59 AM - Eric Helms

- translation missing: en.field_release set to 13
https://github.com/Katello/katello/pull/4366
https://projects.theforeman.org/projects/katello/repository/katello/revisions/83f38fe89ba4cc8ddc2698ba8a37acfc3f22a28c
http://www.tcpdf.org

